# Uses of Interface
org.eclipse.mat.ui.internal.diagnostics.DiagnosticsAction

Packages that use DiagnosticsAction
Package
Description
org.eclipse.mat.ui.internal.diagnostics
Diagnostics user interface (not API).
org.eclipse.mat.ui.internal.diagnostics.actions
Diagnostics actions (not API).

## Uses of DiagnosticsAction in org.eclipse.mat.ui.internal.diagnostics

Methods in org.eclipse.mat.ui.internal.diagnostics that return DiagnosticsAction
Modifier and Type
Method
Description
`DiagnosticsAction`
DiagnosticsSelectionWizardPage.`getSelectedAction()`
Methods in org.eclipse.mat.ui.internal.diagnostics with parameters of type DiagnosticsAction
Modifier and Type
Method
Description
`boolean`
DiagnosticsExecutionWizardPage.`performFinish(DiagnosticsAction action)`

## Uses of DiagnosticsAction in org.eclipse.mat.ui.internal.diagnostics.actions

Classes in org.eclipse.mat.ui.internal.diagnostics.actions that implement DiagnosticsAction
Modifier and Type
Class
Description
`class`
`HotSpotJVMHeapDump`
Request a heap dump on a HotSpot JVM
`class`
`J9JVMBase`
Base class for interacting with the J9 JVM
`class`
`J9JVMHeapDump`
Request a heap dump on a J9 JVM
`class`
`J9JVMSystemDump`
Request a system dump on a J9 JVM
`class`
`J9JVMThreadDump`
Request a thread dump on a J9 JVM
`class`
`Sleep`
Sleep for some time.
`class`
`ThreadMXBeanDump`
Get all current thread stacks